<?
include_once '../core/system.php';
echo only_reg();
$header = 'Башни';
include_once '../core/head.php';
switch($act) {
case 'post':
if(isset($_POST['name'])){
$name = check($_POST['name']);
if(strlen($name) < 3 or strlen($name) > 40) $err =  'Длина сообщения должна быть в пределах 3 - 40 символов';
if($user[gold] < 100) $err =  'Нужно 100 золота!';
if(!isset($err)) {
mysql_query("INSERT INTO `bashni` SET `name` = '$name', `sila` = '$user[sila]', `max_health` = '$user[max_health]', `health` = '$user[max_health]', `lovk` = '$user[lovk]', `zashit` = '$user[zashit]', `id_user` = '$user[id]'");
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']-100)."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: index.php');
$_SESSION['message'] = 'Башня создана!';
exit();
}else{
header('Location: ?');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
} 
}else{
header('Location: ?');
$_SESSION['err'] = 'Введите текст';
exit();
}
break;
default:
echo '<form class="player" method="post" action="?act=post">
<div class="panelInfo"><center>Цена башни - 100<img src = "/images/icon/gold.png"></br>
Введите название:<br><input class="text large" type="text" name="name" /><br />
<input class="button_xl" type="submit" value="Создать">
</center></div></form>';
}
include_once '../core/foot.php';
?>